import {
  listRecords,
  getRecordByPk,
  createRecord,
  updateRecordByPk,
  deleteRecordByPk
} from "./genericCrudController.js";

const TABLE_NAME = "country";
const PK = ["country_id"];

export const listCountries = listRecords(TABLE_NAME);
export const getCountryByPk = getRecordByPk(TABLE_NAME, PK);
export const createCountry = createRecord(TABLE_NAME);
export const updateCountryByPk = updateRecordByPk(TABLE_NAME, PK);
export const deleteCountryByPk = deleteRecordByPk(TABLE_NAME, PK);

